#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Services::Httpd;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;


$user = new Vhffs::User( $princ , "soda" , 401) ;
my $group = new Vhffs::Group( $princ , "soda" , 401) ;

my $httpd = new Vhffs::Services::Httpd( $princ , $ARGV[0] , $user , $group);

if( defined $httpd )
{
	print "object created\n";
}
else
{
	print "object error\n";
	exit;
}

my $retour = $httpd->create;

if( $retour < 0 )
{
	print "Successfully create httpd object in the database\n";
}
else
{
	print "ERROR while create httpd object in the database, returns $retour \n";
}


use Data::Dumper;

