#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Acl;
use Vhffs::Services::MailUser;
use Vhffs::Panel::Mail;

my $config;
my $mysql_config;
my $services_config;
my $group;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;

my $user = new Vhffs::User( $princ , "gradator" , '401' );
my $mu = init Vhffs::Services::MailUser( $princ , $user );

if( $mu->exists_forward == 1 )
{
	print "Cet utilisateur a un forward sur le domaine\n";
}
else
{
	print "Cet utilisateur n'a aucun forward\n";
}

if( $mu->exists_box == 1 )
{
	print "Cet utilisateur a une box\n";
}
else
{
	print "Cet utilisateur n'a pas de box\n";
}



#print Dumper $mu->{object};
